
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL - 主从结构.添加新 Slave / 憋错料</title>

    <meta name="description" content="MySQL - 主从结构.添加新 Slave 复制从库主要步骤: ==================== 可以看到,从主库复制会有段时间锁表,这段时间会影响主库的使用.如果我们能直接从从库进行复制,就不会对主库产生影响了.但是,从从库复制要保证的是复制过程中从库上的数据不会发生变化,所以要先停掉从库. 1.停止从库: mysql&gt; stop slave; 2.看当前从库的状态.和前面的看主库状态一样.但现在是从从库复制,所以查看从库状态:mysql&gt; show slave status; 记下 Relay_Master_Log ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">MySQL - 主从结构.添加新 Slave</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>复制从库主要步骤</strong>：</p>
<p>====================</p>
<p>可以看到，从主库复制会有段时间锁表，这段时间会影响主库的使用。如果我们能直接从从库进行复制，就不会对主库产生影响了。但是，从从库复制要保证的是复制过程中从库上的数据不会发生变化，所以要先停掉从库。</p>
<p>1.停止从库: mysql&gt; stop slave;</p>
<p>2.看当前从库的状态。和前面的看主库状态一样。但现在是从从库复制，所以查看从库状态：mysql&gt; show slave status;</p>
<p>记下 Relay_Master_Log_file 和 Exec_Master_Log_Pos, 用处和前面一样.</p>
<p>3.备份从库数据.用 mysqldump</p>
<p>4.在新的从库上还原数据</p>
<p>5.设置新从库的 slave 参数.change master to master_host = ‘192.168.3.119‘,master_port = 3306,master_user = ‘repl_user‘,master_password=‘root‘,master_log_file=‘master-bin.000005‘,master_log_pos=194244;</p>
<p>可以看到，虽然新从库是从从库复制的数据，但实际上 binlog 的 master 还是指向的主库。</p>
<p>另外，这里将 master_log_file 和 master_log_pos 设置成第 2 步中的 Relay_Master_Log_file 和 Exec_Master_Log_Pos</p>
<p>start slave;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-25 20:35:21 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>MySQL - 主从结构.添加新 Slave的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzjXkJM.html" rel="bookmark">Linux环境中MySQL主从同步--添加新的从库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当前我认为数据库主从有两大应用价值: 1.从库相当于主库的备份.虽然数据库的主从并不能代替/取代备份,例如错误的数据可能毁掉所有的数据库,但主从也是在一种可读的状态下保持备份的一种实现方式. 2.从库可以缓解主库的压力,能提高性能.由于从库是只读的,因此在读取查询方面,从库可以代替主库,承担一定的压力,无论是这些压力是来自用户(应用程序)还是开发.运维自己. MySQL的主从其实并不困难,而且需要做的事情也并不多,mysql官方给出的文档中对主从也做出了详细的指导.说明和解释,但总共也多少篇幅.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dlL560.html" rel="bookmark">mysql 主从复制，添加新从服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主从复制,添加从服务器 三台mysql服务器.一台为主,一台为从,实现自动备份.再添加一台新的从服务器 系统:centos7.6 mariadb:5.5.60 主服务器: [[email protected] ~]#vim /etc/my.cnf [mysqld] server_id=7 #设置服务器ID log_bin #开启二进制日志 启动mysql,查看二进制位置信息,创建slave服务器可以使用的的用户 [[email protected] ~]#systemctl start mari			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R8Woy4.html" rel="bookmark">mysql 主从配置（master slave）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql主从复制(超简单) 怎么安装mysql数据库,这里不说了,只说它的主从复制,步骤如下: 1.主从服务器分别作以下操作:  1.1.版本一致  1.2.初始化表,并在后台启动mysql  1.3.修改root的密码 2.修改主服务器master:   #vi /etc/my.cnf       [mysqld]       log-bin=mysql-bin   //[必须]启用二进制日志       server-id=222      //[必须]服务器唯一ID,默认是1,一般取IP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NQRgw3.html" rel="bookmark">MYSQL 5&period;7 添加新用户</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误描述: 添加用户 insert into mysql.user(Host,User,Password) values(&quot;localhost&quot;,&quot;test&quot;,password(&quot;1234&quot;)); 报以下的错误 ERROR 1364 (HY000): Field 'ssl_cipher' doesn't have a default value错误 mysql5.1以上版本,我是在5.6版本上操作的. mysql用户表的中某些字段不能为空,没有默			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Qe8eN4.html" rel="bookmark">MySQL主从同步添加至zabbix监控</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考文档:https://blog.csdn.net/hellowidow_2020/article/details/78985368    https://www.cnblogs.com/cdjiangchao/p/3844329.html 创建用于监控的用户 grant replication client on *.* to 'zabbix'@'localhost' identified by 'zabbix'; 添加监控脚本/nas/scripts/mysql_check.sh #!/b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0e7kZ4.html" rel="bookmark">高性能Mysql主从架构的复制原理及配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 复制概述 Mysql内建的复制功能是构建大型,高性能应用程序的基础.将Mysql的数据分布到多个系统上去,这种分布的机制,是通过将Mysql的某一台主机的数据复制到其它主机(slaves)上,并重新执行一遍来实现的.复制过程中一个服务器充当主服务器,而一个或多个其它服务器充当从服务器.主服务器将更新写入二进制日志文件,并维护文件的一个索引以跟踪日志循环.这些日志可以记录发送到从服务器的更新.当一个从服务器连接主服务器时,它通知主服务器从服务器在日志中读取的最后一次成功更新的位置.从服务器接收			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mml6GQ4.html" rel="bookmark">高性能Mysql主从架构的复制原理及配置详解&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				温习&lt;高性能MySQL&gt;的复制篇. 1 复制概述 Mysql内建的复制功能是构建大型,高性能应用程序的基础.将Mysql的数据分布到多个系统上去,这种分布的机制,是通过将Mysql的某一台主机的数据复制到其它主机(slaves)上,并重新执行一遍来实现的.复制过程中一个服务器充当主服务器,而一个或多个其它服务器充当从服务器.主服务器将更新写入二进制日志文件,并维护文件的一个索引以跟踪日志循环.这些日志可以记录发送到从服务器的更新.当一个从服务器连接主服务器时,它通知主服务器从服务器在日志中读取			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02mPeaM.html" rel="bookmark">转&colon;高性能Mysql主从架构的复制原理及配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				温习&lt;高性能MySQL&gt;的复制篇. 1 复制概述 Mysql内建的复制功能是构建大型,高性能应用程序的基础.将Mysql的数据分布到多个系统上去,这种分布的机制,是通过将Mysql的某一台主机的数据复制到其它主机(slaves)上,并重新执行一遍来实现的.复制过程中一个服务器充当主服务器,而一个或多个其它服务器充当从服务器.主服务器将更新写入二进制日志文件,并维护文件的一个索引以跟踪日志循环.这些日志可以记录发送到从服务器的更新.当一个从服务器连接主服务器时,它通知主服务器从服务器在日志中读取			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41G8Kk0.html" rel="bookmark">Mysql主从数据库架构的复制原理及配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 复制概述 Mysql内建的复制功能是构建大型,高性能应用程序的基础.将Mysql的数据分布到多个系统上去,这种分布的机制,是通过将Mysql的某一台主机的数据复制到其它主机(slaves)上,并重新执行一遍来实现的.复制过程中一个服务器充当主服务器,而一个或多个其它服务器充当从服务器.主服务器将更新写入二进制日志文件,并维护文件的一个索引以跟踪日志循环.这些日志可以记录发送到从服务器的更新.当一个从服务器连接主服务器时,它通知主服务器从服务器在日志中读取的最后一次成功更新的位置.从服务器接收			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQjnk3.html" rel="bookmark" class="title">Mongodb 监测</a>
					<div>
						原文地址:伍仪洲的博客 介绍 为什么要进行监控状态,因为在实际的情况中可能会发生一下无法预计的情况,比如阻塞的问题,阻塞的原因会有很多种情况造成,如果当我们查询文档的时候发生了阻塞,那么就会影响到后面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VRAn4.html" rel="bookmark" class="title">关于C语言底层</a>
					<div>
						1.C语言和java C语言难在需要清楚底层的实现原理一错可能就内存泄露之类语法不难,原理很难 C语言和java数组是指一段连续的内存空间一个int 4字节一旦声明必须确定长度无法变长数组在数据结构里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jk5DYM.html" rel="bookmark" class="title">分布式文件系统：原理、问题与方法</a>
					<div>
						本地文件系统如ext3,reiserfs等(这里不讨论基于内存的文件系统),它们管理本地的磁盘存储资源.提供文件到存储位置的映射,并抽象出一套文件访问接口供用户使用.但随着互联网企业的高速发展,这些企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg5QpO3.html" rel="bookmark" class="title">士大夫赶不上dvd士大夫赶不</a>
					<div>
						http://www.lofter.com/art/product-25578147/ http://www.lofter.com/art/product-25556025/ http://www.l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47me1x0.html" rel="bookmark" class="title">HDU-3854              LOOPS</a>
					<div>
						http://acm.hdu.edu.cn/showproblem.php?pid=3853 LOOPS Time Limit: 15000/5000 MS (Java/Others)    Memo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RDN1y4.html" rel="bookmark" class="title">iptables启动脚本分析</a>
					<div>
						#!/bin/sh # # iptables Start iptables firewall # # chkconfig: 2345 08 92 # description: Starts, stop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqnVmM.html" rel="bookmark" class="title">二分图的最大匹配：匈牙利算法</a>
					<div>
						1. 二分图的匹配问题 1.1 二分图 简单来说,如果图中点可以被分为两组,并且使得所有边都跨越组的边界,则这就是一个二分图. 准确地说:把一个图的顶点划分为两个不相交集 U 和 V ,使得每一条边都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5KZ90.html" rel="bookmark" class="title">React 实践1</a>
					<div>
						写前面 自从听闻React出世后那阵子 就学了相关的知识 可是一直没有机会实践过!  都已经过了大半年了 再不操刀 可不行! 下面的demo 可以说canvas 来做比较靠谱  但是! 我就要用dom ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41oYNJ0.html" rel="bookmark" class="title">11gRAC CHM 的管理</a>
					<div>
						Cluster Health Monitor(简称CHM)是一个Oracle提供的工具,用来自动收集操作系统的资源(CPU.内存.SWAP.进程.I/O以及网络等)的使用情况.CHM会每秒收集一次数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7D610.html" rel="bookmark" class="title">【转】Matlab中的括号（）&lbrack;&rsqb; &lbrace;&rcub;</a>
					<div>
						Matlab中经常会用到括号去引用某Array或者是cell的内容,但三者有什么具体区别呢?[ ] 中括号用来构建向量(Vectors)或者是矩阵(Matrices).如[6.9 9.64 sqrt( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPkQw4.html" rel="bookmark" class="title">处理百万级以上数据提高查询速度的方法</a>
					<div>
						1.应尽量避免在 where 子句中使用!=或&lt;&gt;操作符,否则将引擎放弃使用索引而进行全表扫描. 2.对查询进行优化,应尽量避免全表扫描,首先应考虑在 where 及 order by 涉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZdvX0.html" rel="bookmark" class="title">php单条件查询，关键字查询</a>
					<div>
						1 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47wLEo4.html" rel="bookmark" class="title">5、映射的思考</a>
					<div>
						  学习了 GPIO_newbule 之后,一血关于映射上面的问题总结.   1.映射方法     实现映射的方法是通过:ioremap ,IO_ADDRESS 这两种方法,实现物理和虚拟地址的映射, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAbEZ4.html" rel="bookmark" class="title">如何提高员工的质量意识？</a>
					<div>
						每当和朋友谈起质量管理,朋友都会问我“如何提高员工的质量意识?”.那么我是怎么提高员工的质量意识,本文就关于这个话题专门做个说明. “擒贼先擒王”这是军事上常用的词语,其实,同样也可以运用到职场中来. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqzWd4.html" rel="bookmark" class="title">Log4net配置与使用</a>
					<div>
						简介 几乎所有的大型应用都会有自己的用于跟踪调试的API.因为一旦程序被部署以后,就不太可能再利用专门的调试工具了.然而一个管理员可能需要有一套强大的日志系统来诊断和修复配置上的问题. 经验表明,日志 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K8vQK3.html" rel="bookmark" class="title">centos6&period;5安装fpm打包工具</a>
					<div>
						FPM功能简单说就是将一种类型的包转换成另一种类型.FPM的github:https://github.com/jordansissel/fpm 1.支持的源类型包: dir: 将目录打包成所需要的类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRq9X0.html" rel="bookmark" class="title">Oracle认证&sol;维保技术支持服务找重庆思庄</a>
					<div>
						核心词:重庆思庄,Oracle技术支持电话:023-68429836,Oracle数据库迁移,oracle数据库升级服务,Oracle不能启动,Oracle慢,Oracle数据库挂起,节点异常重启,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wdrO0.html" rel="bookmark" class="title">Unicode 与多字节编码</a>
					<div>
						int _tmain(int argc, _TCHAR* argv[]) { //定义LPWSTR 类型的宽字符串 LPWSTR szUnicode = L&quot;This is a Unicod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6pPjd3.html" rel="bookmark" class="title">技术出身能做好管理吗？&mdash;&mdash;能！</a>
					<div>
						行者新书&lt;卓有成效:管理者的职业习惯&gt;上市发售了! 这着实是一个可喜可贺的事情.不害臊地说,行者等待这一时刻了已经好久了.因为这是一本非常好非常好非常好的自我管理书籍.好到什么程度?封面有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moow2PM.html" rel="bookmark" class="title">mac无法调节屏幕亮度</a>
					<div>
						mac设置中没有调节亮度的按钮 安装插件 Brightness slider					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
